Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.ide
Class WorkflowExceptionHandler

    java.lang.Object
      org.eclipse.amp.amf.gen.ide.WorkflowExceptionHandler

All Implemented Interfaces:
  org.eclipse.xtend.expression.ExceptionHandler

    public class WorkflowExceptionHandler

extends java.lang.Object
implements org.eclipse.xtend.expression.ExceptionHandler

Constructor Summary
`WorkflowExceptionHandler()`

Method Summary
`void` | `handleRuntimeException(java.lang.RuntimeException ex, org.eclipse.internal.xtend.expression.ast.SyntaxElement element, org.eclipse.xtend.expression.ExecutionContext ctx, java.util.Map<java.lang.String,java.lang.Object> additionalContextInfo)`
`static void` | `setWrappedHandler(org.eclipse.xtend.expression.ExceptionHandler wrappedHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkflowExceptionHandler

    public WorkflowExceptionHandler()

Method Detail

### handleRuntimeException

    public void handleRuntimeException(java.lang.RuntimeException ex,
                                       org.eclipse.internal.xtend.expression.ast.SyntaxElement element,
                                       org.eclipse.xtend.expression.ExecutionContext ctx,
                                       java.util.Map<java.lang.String,java.lang.Object> additionalContextInfo)

  Specified by:
    `handleRuntimeException` in interface `org.eclipse.xtend.expression.ExceptionHandler`

### setWrappedHandler

    public static void setWrappedHandler(org.eclipse.xtend.expression.ExceptionHandler wrappedHandler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD